Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.hyades.logging.events.cbe
Interface TemplateContentHandler

All Superinterfaces:
  ContentHandler

All Known Implementing Classes:
  TemplateContentHandlerImpl

public interface TemplateContentHandler
extends ContentHandler

Extension of the `ContentHandler` interface for specifying a template event.

The template event is used to store event configuration properties that are merged into the parameter event in the implementation of the `completeEvent(CommonBaseEvent event)` API.

Implementations MUST preserve the precedence rules for merging event properties when implementing the `completeEvent(CommonBaseEvent event)` API. The precedence rules for merging event properties are as follows:

1) The 'template event' contains the event properties to be merged into the 'base event'. 2) String and primitive property values in the 'base event' are considered 'golden' when the same property is set in the 'template event'. 3) List property values in the 'template event' are concatenated to the associated list property in the 'base event'. 4) Complex (e.g. objects excluding strings) property values in the 'base event' are internally compared to the associated 'template event' property using the above rules.

For security reasons, once a non-null template event has been set on `TemplateContentHandler` instance, no other template event can be set for the life cycle of the `TemplateContentHandler` instance.

Since:
  1.0.1
Version:
  1.0.1
Author:
  Paul E Slauenwhite
See Also:
  `ContentHandler`

Method Summary
`CommonBaseEvent` | `getTemplateEvent()` Deprecated. As of Hyades M10, for security reasons `TemplateContentHandler` implementations should not return references their template event.
`void` | `setTemplateEvent(CommonBaseEvent templateEvent)` Sets a new template event on this content handler instance.

Methods inherited from interface org.eclipse.hyades.logging.events.cbe.ContentHandler
`completeEvent`

Method Detail

### getTemplateEvent

    public CommonBaseEvent getTemplateEvent()

  Deprecated. As of Hyades M10, for security reasons `TemplateContentHandler` implementations should not return references their template event.

  Gets the template event associated with this content handler instance.

  The template event is used to store event configuration properties that are merged into the parameter event in the implementation of the `completeEvent(CommonBaseEvent event)` API.

  Returns:
    The template event associated with this content handler instance, otherwise null.

### setTemplateEvent

    public void setTemplateEvent(CommonBaseEvent templateEvent)

  Sets a new template event on this content handler instance.

  The template event is used to store event configuration properties that are merged into the parameter event in the implementation of the `completeEvent(CommonBaseEvent event)` API.

  For security reasons, once a non-null template event has been set on `TemplateContentHandler` instance, no other template event can be set for the life cycle of the `TemplateContentHandler` instance.

  Parameters:
    `templateEvent` - The new template event associated with this content handler instance.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD